Delete Role
curl --request DELETE \
--url https://api.example.com/app/v1/organizations/{organizationId}/roles/{roleId}import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/roles/{roleId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Roles
Delete Role
Delete a role
DELETE
/
app
/
v1
/
organizations
/
{organizationId}
/
roles
/
{roleId}
Delete Role
Path Parameters
Organization ID
Role ID
Response
{
"message": "Role successfully deleted",
"id": "role123"
}
Deleting a role will remove it from all users who have it assigned. Consider the impact on user permissions before deleting.
Error Responses
Role Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Role not found"
}
}
Role In Use
{
"error": {
"code": "ROLE_IN_USE_BY_USERS",
"message": "Cannot delete a role that is used in users user123, user456"
}
}
Code Examples
curl -X DELETE "https://api.metabind.ai/app/v1/organizations/org123/roles/role123" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/roles/role123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const result = await response.json();
console.log(result.message);
var request = URLRequest(url: URL(string: "https://api.metabind.ai/app/v1/organizations/org123/roles/role123")!)
request.httpMethod = "DELETE"
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
let (data, _) = try await URLSession.shared.data(for: request)
val response = client.delete("https://api.metabind.ai/app/v1/organizations/org123/roles/role123") {
header("Authorization", "Bearer YOUR_JWT")
}
println("Deleted role")
⌘I